Package org.gradle.api.tasks

# Class TaskExecutionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.internal.exceptions.DefaultMultiCauseException
org.gradle.api.tasks.TaskExecutionException

All Implemented Interfaces:
  `Serializable`, `org.gradle.internal.exceptions.MultiCauseException`, `org.gradle.internal.exceptions.NonGradleCauseExceptionsHolder`, `org.gradle.internal.exceptions.ResolutionProvider`

public class TaskExecutionException extends org.gradle.internal.exceptions.DefaultMultiCauseException

A `TaskExecutionException` is thrown when a task fails to execute successfully.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskExecutionException(Task task, Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Task`
  `getTask()`

  ### Methods inherited from class org.gradle.internal.exceptions.DefaultMultiCauseException

  `getCause, getCauses, getMessage, getResolutions, hasCause, initCause, initCauses, printStackTrace, printStackTrace`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TaskExecutionException

    public TaskExecutionException(Task task, Throwable cause)

- ## Method Details

  - ### getTask

    public Task getTask()